Package org.springframework.aot.nativex

# Class FileNativeConfigurationWriter

java.lang.Object
org.springframework.aot.nativex.NativeConfigurationWriter
org.springframework.aot.nativex.FileNativeConfigurationWriter

public class FileNativeConfigurationWriter extends NativeConfigurationWriter
A `NativeConfigurationWriter` implementation that writes the configuration to disk.

Since:
  6.0
Author:
  Sebastien Deleuze, Stephane Nicoll
See Also:
  - Native Image Build Configuration

## Constructor Summary

Constructors
Constructor
Description
`FileNativeConfigurationWriter(Path basePath)`
`FileNativeConfigurationWriter(Path basePath, String groupId, String artifactId)`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`writeTo(String fileName, Consumer<org.springframework.aot.nativex.BasicJsonWriter> writer)`
Write the specified GraalVM native configuration file, using the provided `BasicJsonWriter`.

### Methods inherited from class org.springframework.aot.nativex.NativeConfigurationWriter

`write`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### FileNativeConfigurationWriter

public FileNativeConfigurationWriter(Path basePath)

### FileNativeConfigurationWriter

public FileNativeConfigurationWriter(Path basePath, @Nullable String groupId, @Nullable String artifactId)

## Method Details

### writeTo

protected void writeTo(String fileName, Consumer<org.springframework.aot.nativex.BasicJsonWriter> writer)
Description copied from class: `NativeConfigurationWriter`
Write the specified GraalVM native configuration file, using the provided `BasicJsonWriter`.

Specified by:
  `writeTo` in class `NativeConfigurationWriter`
Parameters:
  `fileName` - the name of the file
  `writer` - a consumer for the writer to use